Subject: [MMUSIC] Draft new version: BUNDLE-23 [was: WGLC of last set of changes to Bundle (draft-ietf-mmusic-sdp-bundle-negotiation-22) - Magnus' comments]

From: Christer Holmberg <[email-masked]>
Date: Mon, 20 Jul 2015 10:46:05 +0000

Hi,

I’ve submitted version -23 of BUNDLE, which addresses the issue raised by Magnus.

I also want to thank everyone who have provided comments and input during the journey.

Regards,

Christer

From: Flemming Andreasen [mailto:[email-masked]]
Sent: 20 July 2015 00:14
To: Christer Holmberg; Magnus Westerlund; mmusic
Cc: [email-masked]
Subject: Re: [MMUSIC] WGLC of last set of changes to Bundle (draft-ietf-mmusic-sdp-bundle-negotiation-22) - Magnus' comments

Based on this and the other comments received from this final WGLC, we consider the Bundle draft done and ready to move forward. Christer will be submitting an updated document per the comments received, and we will then move ahead with a publication request.

Thank you for all the contributions and reviews from everybody.

-- Flemming (as MMUSIC co-chair)

On 7/14/15 3:51 PM, Christer Holmberg wrote:
Thanks, Magnus!

Regards,

Christer

Sent from my Windows Phone
________________________________
From: Magnus Westerlund<mailto:[email-masked]>
Sent: ‎14/‎07/‎2015 19:54
To: Christer Holmberg<mailto:[email-masked]>; mmusic<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [MMUSIC] WGLC of last set of changes to Bundle (draft-ietf-mmusic-sdp-bundle-negotiation-22) - Magnus' comments
Hi,

I think this looks okay from my perspective and will resolve my issue.

Cheers

Magnus

Christer Holmberg skrev den 2015-07-13 12:34:
> Hi,
>
> In order to address the issue raised by Magnus, I suggest the following
> modification:
>
> *_OLD:_*
>
> 10.3.1.  General
>
>     When a BUNDLE group, which contains RTP based media, is created, the
>
>     offerer and answerer MUST negotiate whether to enable RTP/RTCP
>
>     multiplexing for the RTP based media associated with the BUNDLE group
>
>     [RFC5761].
>
>     If RTP/RTCP multiplexing is enabled, the same address:port
>
>     combination will be used for receiving (and sending) all RTP packets
>
>     and the RTCP packets associated with the BUNDLE group.  Each endpoint
>
>     will send the packets towards the BUNDLE address of the other
>
>     endpoint.
>
>     If RTP/RTCP multiplexing is not enabled, separate address:port
>
>     combinations will be used for receiving (and sending) the RTP packets
>
>     and the RTCP packets.  If the remote endpoint has associated an SDP
>
>     'rtcp' attribute with the "m=" line associated with the BUNDLE-tag,
>
>     the attribute value will be used for sending all RTCP packets
>
>     associated with the BUNDLE group towards that endpoint.
>
> *_NEW:_*
>
> 10.3.1.  General
>
>     When a BUNDLE group, which contains RTP based media, is created, the
>
>     offerer and answerer MUST negotiate whether to enable RTP/RTCP
>
>     multiplexing for the RTP based media associated with the BUNDLE group
>
>     [RFC5761].
>
>     If RTP/RTCP multiplexing is enabled, the same address:port
>
>     combination will be used for sending all RTP packets
>
>     and the RTCP packets associated with the BUNDLE group.  Each endpoint
>
>     will send the packets towards the BUNDLE address of the other
>
>     endpoint. The same address:port combination MAY be used
>
>     for receiving RTP packets and RTCP packets.
>
>     If RTP/RTCP multiplexing is not enabled, separate address:port
>
>     combinations will be used for sending the RTP packets
>
>     and the RTCP packets.  The same address:port combinations
>
>     MAY be used for receiving RTP packets and RTCP packets.
>
>     If the remote endpoint has associated an SDP
>
>     'rtcp' attribute with the "m=" line associated with the BUNDLE-tag,
>
>     the attribute value will be used for sending all RTCP packets
>
>     associated with the BUNDLE group towards that endpoint.
>
> Regards,
>
> Christer
>
> *From:*mmusic [mailto:[email-masked]] *On Behalf Of *Christer
> Holmberg
> *Sent:* 25. kesäkuuta 2015 8:19
> *To:* Magnus Westerlund; mmusic
> *Cc:* [email-masked]<mailto:[email-masked]>
> *Subject:* Re: [MMUSIC] WGLC of last set of changes to Bundle
> (draft-ietf-mmusic-sdp-bundle-negotiation-22)
>
> Hi Magnus,
>
> Thanks for your comment!
>
> Regarding RTP/RTCP mux, I guess it should be clarified that one uses
> single address:ports for sending and receiving RTP and RTCP, but that
> those address:ports don't have to be the same.
>
> I'll think of some wording.
>
> Regards,
>
> Christer
>
> Sent from my Windows Phone
>
> ------------------------------------------------------------------------
>
> *From: *Magnus Westerlund <mailto:[email-masked]>
> *Sent: *‎23/‎06/‎2015 10:14
> *To: *mmusic <mailto:[email-masked]>
> *Cc: [email-masked]<mailto:[email-masked]>
> <mailto:[email-masked]>
> *Subject: *Re: [MMUSIC] WGLC of last set of changes to Bundle
> (draft-ietf-mmusic-sdp-bundle-negotiation-22)
>
> Hi,
>
> I looked at the changes and wonder if I spotted an inconsistency?
> Otherwise things looks good.
>
> In Section 5 text was changed to enable non-symmetric RTP usages.
> Resulting in the following text:
>
>      The address:port combination used for sending bundled media
>      MAY be the same as the BUNDLE address, used to receive bundled media,
>      depending on whether symmetric RTP [RFC4961] is used.
>
>
>   From 10.3.1:
>
>      If RTP/RTCP multiplexing is enabled, the same address:port
>      combination will be used for receiving (and sending) all RTP packets
>      and the RTCP packets associated with the BUNDLE group.  Each endpoint
>      will send the packets towards the BUNDLE address of the other
>      endpoint.
>
> This appears to strongly suggest that one should/must use symmetric RTP
> when doing RTP/RTCP muxing. However, I find nothing in RFC 5761 that
> mandates usage of symmetric RTP with RTP/RTCP Mux, even if it the text
> is written with that as an assumption, I find nothing that prevents
> non-symmetric sending.
>
> Thus, I wonder if the text in 10.3.1 needs to be updated to avoid this
> issue.
>
> Cheers
>
> Magnus Westerlund
>
> ----------------------------------------------------------------------
> Services, Media and Network features, Ericsson Research EAB/TXM
> ----------------------------------------------------------------------
> Ericsson AB                 | Phone  +46 10 7148287
> Färögatan 6                 | Mobile +46 73 0949079
> SE-164 80 Stockholm, Sweden | mailto: [email-masked]<mailto:[email-masked]>
> <mailto:[email-masked]>
> ----------------------------------------------------------------------
>
> _______________________________________________
> mmusic mailing list
> [email-masked]<mailto:[email-masked]> <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/mmusic
>

--

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]<mailto:[email-masked]>
----------------------------------------------------------------------

_______________________________________________

mmusic mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/mmusic